# DataExchange
TKSTEPAttr
StepVisual

# StepVisual_TextLiteral Class Reference

`#include <StepVisual_TextLiteral.hxx>`

Inheritance diagram for StepVisual_TextLiteral:

[legend]

## Public Member Functions

Standard_EXPORT | StepVisual_TextLiteral ()
| Returns a TextLiteral .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName)
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(TCollection_HAsciiString)&aLiteral, const StepGeom_Axis2Placement &aPlacement, const Handle(TCollection_HAsciiString)&aAlignment, const StepVisual_TextPath aPath, const StepVisual_FontSelect &aFont)
Standard_EXPORT void | SetLiteral (const Handle(TCollection_HAsciiString)&aLiteral)
Standard_EXPORT Handle_TCollection_HAsciiString | Literal () const
Standard_EXPORT void | SetPlacement (const StepGeom_Axis2Placement &aPlacement)
Standard_EXPORT StepGeom_Axis2Placement | Placement () const
Standard_EXPORT void | SetAlignment (const Handle(TCollection_HAsciiString)&aAlignment)
Standard_EXPORT Handle_TCollection_HAsciiString | Alignment () const
Standard_EXPORT void | SetPath (const StepVisual_TextPath aPath)
Standard_EXPORT StepVisual_TextPath | Path () const
Standard_EXPORT void | SetFont (const StepVisual_FontSelect &aFont)
Standard_EXPORT StepVisual_FontSelect | Font () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_TCollection_HAsciiString | literal
StepGeom_Axis2Placement | placement
Handle_TCollection_HAsciiString | alignment
StepVisual_TextPath | path
StepVisual_FontSelect | font

## Constructor & Destructor Documentation

Standard_EXPORT StepVisual_TextLiteral::StepVisual_TextLiteral | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_TCollection_HAsciiString StepVisual_TextLiteral::Alignment | ( |  | ) | const

Standard_EXPORT StepVisual_FontSelect StepVisual_TextLiteral::Font | ( |  | ) | const

Standard_EXPORT const StepVisual_TextLiteral::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepGeom_GeometricRepresentationItem.

virtual Standard_EXPORT void StepVisual_TextLiteral::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(TCollection_HAsciiString)& | aLiteral,
|  | const StepGeom_Axis2Placement & | aPlacement,
|  | const Handle(TCollection_HAsciiString)& | aAlignment,
|  | const StepVisual_TextPath | aPath,
|  | const StepVisual_FontSelect & | aFont
| ) | `[virtual]`

virtual Standard_EXPORT void StepVisual_TextLiteral::Init | ( | const Handle(TCollection_HAsciiString)& | aName | ) | `[virtual]`

| Reimplemented from StepRepr_RepresentationItem.

Standard_EXPORT Handle_TCollection_HAsciiString StepVisual_TextLiteral::Literal | ( |  | ) | const

Standard_EXPORT StepVisual_TextPath StepVisual_TextLiteral::Path | ( |  | ) | const

Standard_EXPORT StepGeom_Axis2Placement StepVisual_TextLiteral::Placement | ( |  | ) | const

Standard_EXPORT void StepVisual_TextLiteral::SetAlignment | ( | const Handle(TCollection_HAsciiString)& | aAlignment | ) |

Standard_EXPORT void StepVisual_TextLiteral::SetFont | ( | const StepVisual_FontSelect & | aFont | ) |

Standard_EXPORT void StepVisual_TextLiteral::SetLiteral | ( | const Handle(TCollection_HAsciiString)& | aLiteral | ) |

Standard_EXPORT void StepVisual_TextLiteral::SetPath | ( | const StepVisual_TextPath | aPath | ) |

Standard_EXPORT void StepVisual_TextLiteral::SetPlacement | ( | const StepGeom_Axis2Placement & | aPlacement | ) |

## Field Documentation

Handle_TCollection_HAsciiString StepVisual_TextLiteral::alignment `[private]`

StepVisual_FontSelect StepVisual_TextLiteral::font `[private]`

Handle_TCollection_HAsciiString StepVisual_TextLiteral::literal `[private]`

StepVisual_TextPath StepVisual_TextLiteral::path `[private]`

StepGeom_Axis2Placement StepVisual_TextLiteral::placement `[private]`

The documentation for this class was generated from the following file:

- StepVisual_TextLiteral.hxx